# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'blsm-vd-core/version'

Gem::Specification.new do |spec|
  spec.name = "blsm-vd-core"
  spec.version = BlsmVdCore::VERSION
  spec.authors = ["saxer","sunyafei"]
  spec.licenses = ['MIT']
  spec.email = ["15201280641@qq.com","1752709589@qq.com"]

  spec.summary = %q{首趣微店核心模块}
  spec.description = %q{首趣微店核心模块,包含结算项的创建、更新、删除,微店主积分的更改等信息}
  spec.homepage = "https://bitbucket.org/Xiaopuzhu/blsm-vd-core"

  # Prevent pushing this gem to RubyGems.org by setting 'allowed_push_host', or
  # delete this section to allow pushing this gem to any host.
  if spec.respond_to?(:metadata)
    spec.metadata['allowed_push_host'] = "https://rubygems.org"
  else
    raise "RubyGems 2.0 or newer is required to protect against public gem pushes."
  end

  spec.files = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features|config)/}) }
  spec.bindir = "exe"
  spec.executables = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]


  spec.add_development_dependency "rspec", "~> 3.2"
  spec.add_development_dependency "bundler", "~> 1.9"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rails", "~> 3.2"
  spec.add_development_dependency "mysql2", "~> 0.3.16"
  spec.add_development_dependency "activemodel", "~> 3.2"
  spec.add_development_dependency "activerecord", "~> 3.2"
  spec.add_development_dependency "activesupport", "~> 3.2"
  spec.add_development_dependency "faraday", "~> 0.9"
  spec.add_development_dependency "blsm-mp-wx", "~> 0.3.2"
  spec.add_development_dependency "pry"
end
